fuss-client - Segnalazione #359

Rigenerazione o meno di /etc/krb5.keytab
07/27/2017 02:55 PM - Elena Grandi

Status: Risolto Start date: 07/27/2017
Priority: Normale Due date:

Assignee: Michael Guggenberg % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Mi & stato fatto notare che dopo aver installato il fuss client, lanciando i seguenti comandi:

fuss-client -a —g
riavvio PC
fuss-client -r

rm /etc/krb5.keytab
fuss-client -a

non viene richiesta identificazione sul server per la creazione di /etc/krb5.keytab.

Questo & dovuto alla presenza di un'altra copia del keytab, /root/krb5.keytab, usata per poter richiedere I'identificazione all'inizio della
run.
Il file /etc/krb5.keytab viene correttamente ripristinato da tale copia, e le home funzionano correttamente.

Se il client € collegato allo stesso server, questo &€ un buon comportamento perché evita che sul server rimangano troppe chiavi di
client non piu in uso.

Se invece si sta lanciando fuss-client -r per rimuovere il client da un server e passarlo ad un'altra rete ed altro server, bisogna
effettivamente ricordarsi di rimuovere anche /root/krb5.keytab; a seconda di quanto frequente &€ questa operazione puod essere il
caso di pensare ad un automatismo per farlo.

Notare che nell'uso quotidiano, ad esempio per rilanciare fuss-client -a in seguito ad un aggiornamento del pacchetto fuss-client, non
€ necessaria (e anzi € lievemente dannosa) la cancellazione e rigenerazione di /etc/krb5.keytab: quel consiglio era stato dato
durante la fase di test quando si stava testando la sistemazione di un bug specifico nella generazione del file in questione, ma
adesso che quel bug & stato fissato il file pud essere lasciato al suo posto tra un esecuzione e l'altra.

Related issues:
Related to fuss-client - Segnalazione #387: Configuring Kerberos Authentication Commenti 08/31/2017

Associated revisions

Revision 99c1aae9 - 09/29/2017 10:56 AM - Elena Grandi

Add an option to remove an old kerberos key. refs: #359

History

#1 - 09/01/2017 02:41 PM - Michael Guggenberg

Possibile prevedere rimozione dei file in questione durante I'operazione fuss-client -a se si passa il client a nuovo server (anche se nuovo server ha
stesso nome host e dominio, puo capitare che il server e stato reinstallato con stesso nome host e dominio)?

#2 - 09/01/2017 02:42 PM - Michael Guggenberg

- Related to Segnalazione #387: Configuring Kerberos Authentication added

#3 - 09/01/2017 02:46 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE
#4 - 09/20/2017 12:19 PM - Elena Grandi
- Assignee changed from TRUELITE to Michael Guggenberg

Vedo problematico accorgersi in modo affidabile che si sta passando il client ad un nuovo server, soprattutto se vengono mantenuti i nomi.

Piuttosto si potrebbe aggiungere un'opzione che forzi la cancellazione di quei file: potrebbe andare ugualmente bene?

#5 - 09/29/2017 08:39 AM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

Potrebbe essere soluzione.

#6 - 09/29/2017 09:40 AM - Elena Grandi
- Assignee changed from TRUELITE to Paolo Dongilli

implemento?

#7 - 09/29/2017 10:09 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

Elena Grandi ha scritto:

implemento?

Si, procedi pure.

#8 - 09/29/2017 10:12 AM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#9 - 09/29/2017 10:32 AM - Paolo Dongilli

Ti chiedo anche per favore di documentarlo nel wiki.

#10 - 09/29/2017 12:14 PM - Elena Grandi
- Assignee changed from Elena Grandi to Michael Guggenberg

Implementata I'opzione --purge (-p) che rimuove le chiavi kerberos, da usare in caso di cambio server.
Pubblicata la nuova versione di fuss-client (8.0.23) che la supporta; ovviamente non € necessario riapplicare fuss-client sulle macchine gia
configurate.

Ho scritto della documentazione su Uso di fuss-client che spiega anche (come gia scritto su questo ticket) le motivazioni dell'opzione, per memoria
futura.

Non riesco pero a modificare https://work.fuss.bz.it/projects/fuss/wiki per aggiungerla all'elenco.
#11 - 09/29/2017 12:17 PM - Elena Grandi

- Status changed from In elaborazione to Commenti

#12 - 10/03/2017 08:13 AM - Michael Guggenberg
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100
